<table width="950" border="0" align="center">

  <tr>

    <td>

    <p align="left" class="style10">ASIGNACION DE CLASIFICACIONES 

    <HR color="#CCCCCC" size="1" noshade="noshade"></p>

	  <form id="form1" name="form1" method="post" action="svclasificaciones.php">

	    <p align="center" class="style7">Listado de Productos	(<a href="main.php?a=251&amp;b=1">Todos</a> / <a href="main.php?a=251&amp;b=2">No asignados</a> ) </p>

        <?php
echo "<table align='center' cellpadding='2' class='tablaBordes'>";
echo "<tr class='tablaCabecera' align='center'>";

echo "<td align='left'>";
echo " Id ";
echo "</td>";

echo "<td>";
echo "Nombre";
echo "</td>";

echo "<td>";
echo "Clasificaci&oacute;n para reporte";
echo "</td>";

echo "</tr>";
include ("conexion.php");

			$conteo=0;
			
			if (isset($_GET['b']))
 			{
			  $b=$_GET['b'];
			  if ($b==2)
			  {$query="SELECT clave,nombre,idClasificacion FROM productos WHERE idClasificacion=0 ORDER BY nombre";}
			  else
			  {$query="SELECT clave,nombre,idClasificacion FROM productos ORDER BY nombre";}
			}
			else
			{$query="SELECT clave,nombre,idClasificacion FROM productos ORDER BY nombre";}
			$result=mysql_query($query,$conex) or die ("No se consultaron los productos");
			$numero_filas=mysql_num_rows($result);
			$numero_campos= mysql_num_fields($result);
			while($fila = mysql_fetch_array($result))
			{
				if ($conteo==0)
				{echo "<tr class='tablaBordes'>";}
				else
				{echo "<tr  class='tablaBordes' bgcolor='#F0F0F0'>";}

				echo "<td class='style1' width='80'>";
				echo $fila[0];
				echo "</td>";

				//nombre
				echo "<td class='style1'>";
				echo utf8_encode($fila[1]);
				echo "</td>";
				
				//CLASIFICACION
				if ($fila[2] == 0)
				{
					$clasi="Selecciona";
				}
				else
				{
					$cons2="SELECT clasificacion FROM clasificacion WHERE idClasificacion='$fila[2]'";
					$res2=mysql_query($cons2,$conex) or die ("No se consulto cons2");
					$clasi=mysql_result($res2,0,'clasificacion');
				}
				
				$cons5="SELECT * FROM  clasificacion ORDER BY clasificacion";
				$res5=mysql_query($cons5,$conex) or die ("No consulto clasificacion");

				echo "<td class='style1'>";
					echo "<select name='clasificacion[]' class='cuadrotexto' id='clasificacion'>";
					echo "<option value='".$fila[2]."' selected='selected'>".$clasi."</option>";
					
					while ($row=mysql_fetch_assoc($res5))
					{echo "<option value='".$row['idClasificacion']."'>".$row['clasificacion']."</option>";}
					
					echo "</select>";
					echo "<input type='hidden' name='idprod[]' value='".$fila[0]."'>";
				echo "</td>";

				echo "</tr>";
				
				$conteo=$conteo + 1;
				if ($conteo==2)
				{$conteo=0;}

			}

echo "</table>";

?><br />

        <table width="1%" border="0" align="center" cellpadding="0" cellspacing="10">

          <tr>

            <td width="46%"><input name="button" type="button" class="boton2" id="button" value="Cancelar" onclick="javascript:history.back()"></td>

            <td width="54%"><input name="Submit" type="submit" class="boton2" value="Guardar cambios" /></td>

          </tr>

        </table>

	  </form>    </td>

  </tr>
</table>